# Uses of Interface
org.opensaml.xmlsec.encryption.Public

Packages that use Public
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of Public in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return Public
Modifier and Type
Method
Description
`Public`
DHKeyValue.`getPublic()`
Get the Public element.
Methods in org.opensaml.xmlsec.encryption with parameters of type Public
Modifier and Type
Method
Description
`void`
DHKeyValue.`setPublic(Public newPublic)`
Set the Public element.

## Uses of Public in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement Public
Modifier and Type
Class
Description
`class`
`PublicImpl`
Concrete implementation of `Public`.
Fields in org.opensaml.xmlsec.encryption.impl declared as Public
Modifier and Type
Field
Description
`private Public`
DHKeyValueImpl.`publicChild`
Public element.
Methods in org.opensaml.xmlsec.encryption.impl that return Public
Modifier and Type
Method
Description
`Public`
PublicBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`Public`
PublicBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Public`
DHKeyValueImpl.`getPublic()`
Get the Public element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type Public
Modifier and Type
Method
Description
`void`
DHKeyValueImpl.`setPublic(Public newPublic)`
Set the Public element.